CUNY Academic Commons - Bug #6350

Editing blog posts results in activity items
2016-10-18 08:26 PM - Matt Gold

Status: Resolved Start date: 2013-10-22
Priority name: Normal Due date:

Assignee: Boone Gorges % Done: 0%
Category name: Blogs (BuddyPress) Estimated time: 0.00 hour
Target version: 1.9.31

Description

Hi Boone

Looks like issue 2844 is cropping up again in the digital fellows group. Screenshot attached

From the original ticket

The news feed in our GC Digital Fellows Commons group had several messages today that said | had edited blog posts yesterday. It
also sent out notifications to all admins of the blog that | had made edits. But | had not edited these posts. Laura Kane (who is also
an admin for this blog) had made some changes, but we do not know why the changes showed up under my name instead of hers. Is
this a bug?

Here's the blog URL: http:/digitalfellows.commons.gc.cuny.edu/

Thanks,
Alice Lynn McMichael

Related issues:

Related to CUNY Academic Commons - Bug #8183: Edit of Post creates notificati... Resolved 2017-05-22
Related to CUNY Academic Commons - Bug #8535: Blog post edit triggers group n... Resolved 2017-08-15
Copied from CUNY Academic Commons - Bug #2844: Commons bug re: editing blog p... Resolved 2013-10-22
History

#1 - 2016-10-18 08:26 PM - Matt Gold
- File Screen Shot 2016-10-18 at 8.26.18 PM.png added
- Copied from Bug #2844: Commons bug re: editing blog posts added

#2 - 2016-10-18 08:52 PM - Boone Gorges
- Subject changed from Commons bug re: editing blog posts to Editing blog posts results in activity items
- Category name changed from BuddyPress (misc) to Blogs (BuddyPress)

- Target version set to 1.9.31

Is someone going through and editing these posts manually? Trying to figure if we are looking at one bug or two.

#3 - 2016-10-18 09:00 PM - Matt Gold

Is someone going through and editing these posts manually? Trying to figure if we are looking at one bug or two.

| believe so based on the fact that | see a digital fellow (lan Phillips, who has been working on the site) has been active on the Commons, and the
notifications are from all members of team

#4 - 2016-10-18 09:19 PM - Boone Gorges

- Status changed from New to Resolved

See https:/redmine.gc.cuny.edu/issues/5877#note-3. The original fix was removed in

https://github.com/cuny-academic-commons/cac/commit/d7cf28ee51d7b60d81f272396a03eaba82b6baiec for some reason - | assume it was a
mistake. Ray's referenced in #5877 has now been ported to the 1.9.x branch, and I'll deploy it as a hotfix so we can stop any more of these
in-progress notifications from being sent out.

#5 - 2016-10-18 09:24 PM - Matt Gold

Huge thanks for taking care of this so quickly, Boone -- much appreciated!

#6 - 2017-05-22 01:24 PM - Matt Gold
- Related to Bug #8183: Edit of Post creates notification emails added

#7 - 2017-08-15 05:13 PM - Boone Gorges
- Related to Bug #8535: Blog post edit triggers group notification added

Files

Screen Shot 2016-10-18 at 8.26.18 PM.png 256 KB

2021-10-24

2016-10-19

22

Matt Gold


http://www.tcpdf.org

